Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 2343)
+++ .hgsubstate	(revision 2528)
@@ -1,1 +1,1 @@
-80a0052d6ee5db1ff47601bc62959d4c8b6cf857 inc/libs/clearbricks
+f9e11d28ae5c809560553aeeedc5ff1d0e052e62 inc/libs/clearbricks
Index: .hgtags
===================================================================
--- .hgtags	(revision 2467)
+++ .hgtags	(revision 2540)
@@ -13,2 +13,3 @@
 514d5121a12586b7ff320924d44028b677a01020 2.4.4
 e42d3233f080a2e846301cba3e3585e4a280a87d 2.6-RC
+dc51785c0e18369445c71dfdc268c6034e61f681 2.6
Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 2480)
+++ CHANGELOG	(revision 2536)
@@ -1,2 +1,7 @@
+Dotclear 2.6 - 2013-11-13
+===========================================================
+* Various bug fixes
+* Various cosmetic adjustments
+
 Dotclear 2.6-RC - 2013-10-18
 ===========================================================
Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 2504)
+++ admin/_charte.php	(revision 2501)
@@ -31,5 +31,4 @@
 	<script type="text/javascript" src="js/jquery/jquery.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery-ui.custom.js"></script>
-	<script type="text/javascript" src="js/jquery/jquery.ui.touch-punch.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery.pageTabs.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery.biscuit.js"></script>
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2496)
+++ admin/categories.php	(revision 2464)
@@ -109,5 +109,4 @@
 	&& $rs->count()>1) {
 		$starting_script .= dcPage::jsLoad('js/jquery/jquery-ui.custom.js');
-		$starting_script .= dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js');
 		$starting_script .= dcPage::jsLoad('js/jquery/jquery.mjs.nestedSortable.js');
 }
Index: admin/js/_comments.js
===================================================================
--- admin/js/_comments.js	(revision 1049)
+++ admin/js/_comments.js	(revision 2531)
@@ -1,51 +1,8 @@
-dotclear.commentExpander = function(line) {
-	var td = line.firstChild;
-	
-	var img = document.createElement('img');
-	img.src = dotclear.img_plus_src;
-	img.alt = dotclear.img_plus_alt;
-	img.className = 'expand';
-	$(img).css('cursor','pointer');
-	img.line = line;
-	img.onclick = function() { dotclear.viewCommentContent(this,this.line); };
-	
-	td.insertBefore(img,td.firstChild);
-};
+dotclear.viewCommentContent = function(line,action) {
+	var action = action || 'toggle';
+	var commentId = $(line).attr('id').substr(1);	
+	var tr = document.getElementById('ce'+commentId);
 
-dotclear.commentsExpander = function(line,lines) {
-	var td = line.firstChild;
-	
-	var img = document.createElement('img');
-	img.src = dotclear.img_plus_src;
-	img.alt = dotclear.img_plus_alt;
-	img.className = 'expand';
-	$(img).css('cursor','pointer');
-	img.lines = lines;
-	img.onclick = function() { dotclear.viewCommentsContent(this,this.lines); };
-	
-	td.insertBefore(img,td.firstChild);
-};
-
-dotclear.viewCommentsContent = function(img,lines) {
-	lines.each(function() {
-		var td = this.firstChild;
-		td.firstChild.click();
-	});
-
-	if (img.alt == dotclear.img_plus_alt) {
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
-	} else {
-		img.src = dotclear.img_plus_src;
-		img.alt = dotclear.img_plus_alt;
-	}
-};
-
-dotclear.viewCommentContent = function(img,line) {
-	var commentId = line.id.substr(1);
-	
-	var tr = document.getElementById('ce'+commentId);
-	
-	if (!tr) {
+	if ( !tr && ( action == 'toggle' || action == 'open' ) ) {
 		tr = document.createElement('tr');
 		tr.id = 'ce'+commentId;
@@ -54,7 +11,4 @@
 		td.className = 'expand';
 		tr.appendChild(td);
-		
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
 		
 		// Get comment content
@@ -87,26 +41,21 @@
 		line.parentNode.insertBefore(tr,line.nextSibling);
 	}
-	else if (tr.style.display == 'none')
+	else if (tr && tr.style.display == 'none' && ( action == 'toggle' || action == 'open' ) )
 	{
-		$(tr).toggle();
-		$(line).toggleClass('expand');
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
+		$(tr).css('display', 'table-row');
+		$(line).addClass('expand');
 	}
-	else
+	else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
 	{
-		$(tr).toggle();
-		$(line).toggleClass('expand');
-		img.src = dotclear.img_plus_src;
-		img.alt = dotclear.img_plus_alt;
+		$(tr).css('display', 'none');
+		$(line).removeClass('expand');
 	}
 };
 
 $(function() {
-	$('#form-comments tr:not(.line)').each(function() {
-		dotclear.commentsExpander(this,$('#form-comments tr.line'));
-	});
-	$('#form-comments tr.line').each(function() {
-		dotclear.commentExpander(this);
+	$.expandContent({
+		line:$('#form-comments tr:not(.line)'),
+		lines:$('#form-comments tr.line'),
+		callback:dotclear.viewCommentContent
 	});
 	$('.checkboxes-helpers').each(function() {
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 2109)
+++ admin/js/_post.js	(revision 2531)
@@ -1,19 +1,4 @@
-dotclear.commentExpander = function(line) {
-	var td = line.firstChild;
-
-	var img = document.createElement('img');
-	img.src = dotclear.img_plus_src;
-	img.alt = dotclear.img_plus_alt;
-	img.className = 'expand';
-	$(img).css('cursor','pointer');
-	img.line = line;
-	img.onclick = function() { dotclear.viewCommentContent(this,this.line); };
-
-	td.insertBefore(img,td.firstChild);
-};
-
-dotclear.viewCommentContent = function(img,line) {
-	var commentId = line.id.substr(1);
-
+dotclear.viewCommentContent = function(line,action) {
+	var commentId = $(line).attr('id').substr(1);
 	var tr = document.getElementById('ce'+commentId);
 
@@ -26,7 +11,4 @@
 		tr.appendChild(td);
 
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
-
 		// Get comment content
 		$.get('services.php',{f:'getCommentById',id: commentId},function(data) {
@@ -60,6 +42,4 @@
 		$(tr).toggle();
 		$(line).toggleClass('expand');
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
 	}
 	else
@@ -67,6 +47,4 @@
 		$(tr).toggle();
 		$(line).toggleClass('expand');
-		img.src = dotclear.img_plus_src;
-		img.alt = dotclear.img_plus_alt;
 	}
 };
@@ -130,5 +108,5 @@
 			
 			excerpt_content = $('#post_excerpt').css('display') != 'none' ? $('#post_excerpt').val() : $('#excerpt-area iframe').contents().find('body').html();
-			post_content    = $('#post_content').css('display') != 'none' ? $('#post_content').val() : $('#content-area iframe').contents().find('body').html();
+			post_content	= $('#post_content').css('display') != 'none' ? $('#post_content').val() : $('#content-area iframe').contents().find('body').html();
 			
 			var params = {
@@ -266,6 +244,7 @@
 
 	$('#comments').onetabload(function() {
-		$('#form-comments .comments-list tr.line').each(function() {
-			dotclear.commentExpander(this);
+		$.expandContent({
+			lines:$('#form-comments .comments-list tr.line'),
+			callback:dotclear.viewCommentContent
 		});
 		$('#form-comments .checkboxes-helpers').each(function() {
@@ -277,6 +256,7 @@
 
 	$('#trackbacks').onetabload(function() {
-		$('#form-trackbacks .comments-list tr.line').each(function() {
-			dotclear.commentExpander(this);
+		$.expandContent({
+			lines:$('#form-trackbacks .comments-list tr.line'),
+			callback:dotclear.viewCommentContent
 		});
 		$('#form-trackbacks .checkboxes-helpers').each(function() {
Index: admin/js/_posts_list.js
===================================================================
--- admin/js/_posts_list.js	(revision 1640)
+++ admin/js/_posts_list.js	(revision 2531)
@@ -1,54 +1,5 @@
-dotclear.postExpander = function(line) {
-	var td = line.firstChild;
-	
-	var img = document.createElement('img');
-	img.src = dotclear.img_plus_src;
-	img.alt = dotclear.img_plus_alt;
-	img.className = 'expand';
-	$(img).css('cursor','pointer');
-	img.line = line;
-	img.onclick = function() { dotclear.viewPostContent(this,this.line); };
-	
-	td.insertBefore(img,td.firstChild);
-};
-
-dotclear.postsExpander = function(line,lines) {
-	var td = line.firstChild;
-
-	var img = document.createElement('img');
-	img.src = dotclear.img_plus_src;
-	img.alt = dotclear.img_plus_alt;
-	img.className = 'expand';
-	$(img).css('cursor','pointer');
-	img.lines = lines;
-	img.onclick = function() { dotclear.viewPostsContent(this,this.lines); };
-
-	td.insertBefore(img,td.firstChild);
-};
-
-dotclear.viewPostsContent = function(img,lines) {
-	
-	action = 'toggle';
-
-	if (img.alt == dotclear.img_plus_alt) {
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
-		action = 'open';
-	} else {
-		img.src = dotclear.img_plus_src;
-		img.alt = dotclear.img_plus_alt;
-		action = 'close';
-	}
-	
-	lines.each(function() {
-		var td = this.firstChild;
-		dotclear.viewPostContent(td.firstChild,td.firstChild.line,action);
-	});
-};
-
-dotclear.viewPostContent = function(img,line,action) {
-	
+dotclear.viewPostContent = function(line,action) {
 	var action = action || 'toggle';
-	var postId = line.id.substr(1);
+	var postId = $(line).attr('id').substr(1);
 	var tr = document.getElementById('pe'+postId);
 	
@@ -60,7 +11,4 @@
 		td.className = 'expand';
 		tr.appendChild(td);
-		
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
 		
 		// Get post content
@@ -92,6 +40,4 @@
 		$(tr).css('display', 'table-row');
 		$(line).addClass('expand');
-		img.src = dotclear.img_minus_src;
-		img.alt = dotclear.img_minus_alt;
 	}
 	else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
@@ -99,21 +45,5 @@
 		$(tr).css('display', 'none');
 		$(line).removeClass('expand');
-		img.src = dotclear.img_plus_src;
-		img.alt = dotclear.img_plus_alt;
 	}
-	
-	parentTable = $(line).parents('table');
-	if( parentTable.find('tr.expand').length == parentTable.find('tr.line').length ) {
-		img = parentTable.find('tr:not(.line) th:first img');
-		img.attr('src',dotclear.img_minus_src);
-		img.attr('alt',dotclear.img_minus_alt);
-	}
-	
-	if( parentTable.find('tr.expand').length == 0 ) {
-		img = parentTable.find('tr:not(.line) th:first img');
-		img.attr('src',dotclear.img_plus_src);
-		img.attr('alt',dotclear.img_plus_alt);
-	}
-	
 };
 
@@ -124,9 +54,8 @@
 	});
 
-	$('#form-entries tr:not(.line)').each(function() {
-		dotclear.postsExpander(this,$('#form-entries tr.line'));
-	});
-	$('#form-entries tr.line').each(function() {
-		dotclear.postExpander(this);
+	$.expandContent({
+		line:$('#form-entries tr:not(.line)'),
+		lines:$('#form-entries tr.line'),
+		callback:dotclear.viewPostContent
 	});
 	$('.checkboxes-helpers').each(function() {
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 2486)
+++ admin/js/common.js	(revision 2531)
@@ -150,4 +150,69 @@
 	});
 };
+
+(function($) {
+	'use strict';
+
+	$.expandContent = function(opts) {
+		var defaults = {};
+		$.expandContent.options = $.extend({},defaults,opts);
+
+		if (opts==undefined || opts.callback==undefined || !$.isFunction(opts.callback)) {
+			return;
+		}
+		if (opts.line!=undefined) {
+			multipleExpander(opts.line,opts.lines);
+		}
+		opts.lines.each(function() {
+			singleExpander(this);
+		});
+	}
+	
+	var singleExpander = function singleExpander(line) {
+		$('<input type="image" src="'+dotclear.img_plus_src+'" alt="'+dotclear.img_plus_alt+'"/>')
+			.click(function(e) {
+				toggleArrow(this);
+				$.expandContent.options.callback.call(this,line);
+				e.preventDefault();
+			})
+			.prependTo($(line).children().get(0)); // first td
+	};
+	
+	var multipleExpander = function multipleExpander(line,lines) {
+		$('<input type="image" src="'+dotclear.img_plus_src+'" alt="'+dotclear.img_plus_alt+'"/>')
+			.click(function(e) {
+				var that = this;
+				var action = toggleArrow(this);
+				lines.each(function() {
+					toggleArrow(this.firstChild.firstChild,action);
+					$.expandContent.options.callback.call(that,this,action);
+
+				});
+				e.preventDefault();
+			})
+			.prependTo($(line).children().get(0)); // first td
+	};
+
+	var toggleArrow = function toggleArrow(button,action) {
+		action = action || '';
+		if (action=='') {
+			if (button.alt==dotclear.img_plus_alt) {
+				action = 'open';
+			} else {
+				action = 'close';
+			}
+		}
+		
+		if (action=='open') {
+			button.src = dotclear.img_minus_src;
+			button.alt = dotclear.img_minus_alt;
+		} else {
+			button.src = dotclear.img_plus_src;
+			button.alt = dotclear.img_plus_alt;
+		}
+		
+		return action;
+	}
+})(jQuery);
 
 jQuery.fn.helpViewer = function() {
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2512)
+++ admin/media.php	(revision 2529)
@@ -314,4 +314,9 @@
 	);
 
+if ($popup) {
+	// Display notices
+	echo dcPage::notices();
+}
+
 if (!$core_media_writable) {
 	dcPage::warning(__('You do not have sufficient permissions to write to this folder.'));
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 2510)
+++ admin/media_item.php	(revision 2529)
@@ -46,16 +46,16 @@
 {
 	$core->media = new dcMedia($core);
-	
+
 	if ($id) {
 		$file = $core->media->getFile($id);
 	}
-	
+
 	if ($file === null) {
 		throw new Exception(__('Not a valid file'));
 	}
-	
+
 	$core->media->chdir(dirname($file->relname));
 	$core_media_writable = $core->media->writable();
-	
+
 	# Prepare directories combo box
 	$dirs_combo = array();
@@ -93,7 +93,7 @@
 {
 	$newFile = clone $file;
-	
+
 	$newFile->basename = $_POST['media_file'];
-	
+
 	if ($_POST['media_path']) {
 		$newFile->dir = $_POST['media_path'];
@@ -107,5 +107,5 @@
 	$newFile->media_dtstr = $_POST['media_dt'];
 	$newFile->media_priv = !empty($_POST['media_private']);
-	
+
 	try {
 		$core->media->updateFile($file,$newFile);
@@ -124,5 +124,5 @@
 		$foo = null;
 		$core->media->mediaFireRecreateEvent($file);
-		
+
 		dcPage::addSuccessNotice(__('Thumbnails have been successfully updated.'));
 		http::redirect($page_url.'&id='.$id.'&tab=media-details-tab');
@@ -137,5 +137,5 @@
 	try {
 		$unzip_dir = $core->media->inflateZipFile($file,$_POST['inflate_mode'] == 'new');
-		
+
 		dcPage::addSuccessNotice(__('Zip file has been successfully extracted.'));
 		http::redirect($media_page_url.'&d='.$unzip_dir);
@@ -162,5 +162,5 @@
 		$core->blog->settings->system->put('media_img_default_link',($_POST['pref_insertion'] == 'link'));
 	}
-	
+
 	dcPage::addSuccessNotice(__('Default media insertion settings have been successfully updated.'));
 	http::redirect($page_url.'&id='.$id);
@@ -173,5 +173,5 @@
 	$pattern = preg_split('/\s*;;\s*/',$pattern);
 	$sep = ', ';
-	
+
 	foreach ($pattern as $v) {
 		if ($v == 'Title') {
@@ -200,5 +200,5 @@
 /* DISPLAY Main page
 -------------------------------------------------------- */
-$starting_scripts = 
+$starting_scripts =
 	'<script type="text/javascript">'."\n".
 	"//<![CDATA["."\n".
@@ -228,4 +228,9 @@
 );
 
+if ($popup) {
+	// Display notices
+	echo dcPage::notices();
+}
+
 if ($file === null) {
 	call_user_func($close_f);
@@ -247,10 +252,10 @@
 {
 	$media_desc = $file->media_title;
-	
+
 	echo
 	'<div id="media-insert" class="multi-part" title="'.__('Insert media item').'">'.
 	'<h3>'.__('Insert media item').'</h3>'.
 	'<form id="media-insert-form" action="" method="get">';
-	
+
 	$media_img_default_size = $core->blog->settings->system->media_img_default_size;
 	if ($media_img_default_size == '') {
@@ -275,5 +280,5 @@
 		echo
 		'<h3>'.__('Image size:').'</h3> ';
-		
+
 		$s_checked = false;
 		echo '<p>';
@@ -288,7 +293,7 @@
 		form::radio(array('src'),$file->file_url,$s_checked).' '.__('original').'</label><br /> ';
 		echo '</p>';
-		
-		echo
-		'<div class="two-boxes">'.		
+
+		echo
+		'<div class="two-boxes">'.
 		'<h3>'.__('Image alignment').'</h3>';
 		$i_align = array(
@@ -298,5 +303,5 @@
 			'center' => array(__('Center'),($media_img_default_alignment == 'center' ? 1 : 0))
 		);
-		
+
 		echo '<p>';
 		foreach ($i_align as $k => $v) {
@@ -306,5 +311,5 @@
 		echo '</p>';
 		echo '</div>';
-		
+
 		echo
 		'<div class="two-boxes">'.
@@ -321,10 +326,10 @@
 	{
 		$media_type = 'mp3';
-		
-		echo 
+
+		echo
 		'<div class="two-boxes">'.
 		'<h3>'.__('MP3 disposition').'</h3>';
 		dcPage::message(__("Please note that you cannot insert mp3 files with visual editor."),false);
-		
+
 		$i_align = array(
 			'none' => array(__('None'),($media_img_default_alignment == 'none' ? 1 : 0)),
@@ -333,5 +338,5 @@
 			'center' => array(__('Center'),($media_img_default_alignment == 'center' ? 1 : 0))
 		);
-		
+
 		echo '<p>';
 		foreach ($i_align as $k => $v) {
@@ -339,5 +344,5 @@
 			form::radio(array('alignment'),$k,$v[1]).' '.$v[0].'</label><br /> ';
 		}
-		
+
 		$public_player_style = unserialize($core->blog->settings->themes->mp3player_style);
 		$public_player = dcMedia::mp3player($file->file_url,$core->blog->getQmarkURL().'pf=player_mp3.swf',$public_player_style);
@@ -349,7 +354,7 @@
 	{
 		$media_type = 'flv';
-		
+
 		dcPage::message(__("Please note that you cannot insert video files with visual editor."),false);
-		
+
 		echo
 		'<div class="two-boxes">'.
@@ -362,9 +367,9 @@
 		'</div>';
 
-		
-		echo 
+
+		echo
 		'<div class="two-boxes">'.
 		'<h3>'.__('Video disposition').'</h3>';
-		
+
 		$i_align = array(
 			'none' => array(__('None'),($media_img_default_alignment == 'none' ? 1 : 0)),
@@ -373,5 +378,5 @@
 			'center' => array(__('Center'),($media_img_default_alignment == 'center' ? 1 : 0))
 		);
-		
+
 		echo '<p>';
 		foreach ($i_align as $k => $v) {
@@ -379,5 +384,5 @@
 			form::radio(array('alignment'),$k,$v[1]).' '.$v[0].'</label><br /> ';
 		}
-		
+
 		$public_player_style = unserialize($core->blog->settings->themes->flvplayer_style);
 		$public_player = dcMedia::flvplayer($file->file_url,$core->blog->getQmarkURL().'pf=player_flv.swf',$public_player_style);
@@ -401,5 +406,5 @@
 	form::hidden(array('url'),$file->file_url).
 	'</p>';
-	
+
 	echo '</form>';
 
@@ -437,9 +442,9 @@
 {
 	$thumb_size = !empty($_GET['size']) ? $_GET['size'] : 's';
-	
+
 	if (!isset($core->media->thumb_sizes[$thumb_size]) && $thumb_size != 'o') {
 		$thumb_size = 's';
 	}
-	
+
 	if (isset($file->media_thumb[$thumb_size])) {
 		echo '<p><img src="'.$file->media_thumb[$thumb_size].'?'.time()*rand().'" alt="" /></p>';
@@ -450,5 +455,5 @@
 		echo '<p id="media-original-image"'.$class.'><img src="'.$file->file_url.'?'.time()*rand().'" alt="" /></p>';
 	}
-	
+
 	echo '<p>'.__('Available sizes:').' ';
 	foreach (array_reverse($file->media_thumb) as $s => $v)
@@ -498,5 +503,5 @@
 			"OR post_excerpt_xhtml LIKE '%".$core->con->escape($file->relname)."%' "
 	);
-	
+
 	if ($file->media_image)
 	{ # We look for thumbnails too
@@ -512,9 +517,9 @@
 		}
 	}
-	
+
 	$params['sql'] .= ') ';
-	
+
 	$rs = $core->blog->getPosts($params);
-	
+
 	if ($rs->isEmpty())
 	{
@@ -552,5 +557,5 @@
 {
 	echo '<h3>'.__('Image details').'</h3>';
-	
+
 	$details = '';
 	if (count($file->media_meta) > 0)
@@ -587,5 +592,5 @@
 		'</form>';
 	}
-	
+
 	if ($file->type == 'application/zip')
 	{
@@ -594,5 +599,5 @@
 			__('Extract in current directory') => 'current'
 		);
-		
+
 		echo
 		'<form class="clear fieldset" id="file-unzip" action="'.html::escapeURL($page_url).'" method="post">'.
@@ -611,5 +616,5 @@
 		'</form>';
 	}
-	
+
 	echo
 	'<form class="clear fieldset" action="'.html::escapeURL($page_url).'" method="post">'.
@@ -629,5 +634,5 @@
 	$core->formNonce().'</p>'.
 	'</form>';
-	
+
 	echo
 	'<form class="clear fieldset" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data">'.
